| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiGSL::GaudiGSL_confDb Namespace Reference

## Functions
def | _fillCfgDb
| -*- python -*- db file automatically generated by genconf on: Thu Jan 8 17:32:18 2009 insulates outside world against anything bad that could happen also prevents global scope pollution

## Function Documentation

def GaudiGSL::GaudiGSL_confDb::_fillCfgDb | ( |  | ) | `[private]`

-*- python -*- db file automatically generated by genconf on: Thu Jan 8 17:32:18 2009 insulates outside world against anything bad that could happen also prevents global scope pollution

Definition at line 5 of file GaudiGSL_confDb.py.

    00005                 :
    00006     from GaudiKernel.Proxy.ConfigurableDb import CfgDb
    00007
    00008     # get a handle on the repository of Configurables
    00009     cfgDb = CfgDb()
    00010
    00011     # populate the repository with informations on Configurables
    00012
    00013     cfgDb.add( configurable = 'GslSvc',
    00014                package = 'GaudiGSL',
    00015                module  = 'GaudiGSL.GaudiGSLConf',
    00016                lib     = 'GaudiGSL' )
    00017     cfgDb.add( configurable = 'GslErrorPrint',
    00018                package = 'GaudiGSL',
    00019                module  = 'GaudiGSL.GaudiGSLConf',
    00020                lib     = 'GaudiGSL' )
    00021     cfgDb.add( configurable = 'GslErrorException',
    00022                package = 'GaudiGSL',
    00023                module  = 'GaudiGSL.GaudiGSLConf',
    00024                lib     = 'GaudiGSL' )
    00025     cfgDb.add( configurable = 'GslErrorCount',
    00026                package = 'GaudiGSL',
    00027                module  = 'GaudiGSL.GaudiGSLConf',
    00028                lib     = 'GaudiGSL' )
    00029     cfgDb.add( configurable = 'FuncMinimum',
    00030                package = 'GaudiGSL',
    00031                module  = 'GaudiGSL.GaudiGSLConf',
    00032                lib     = 'GaudiGSL' )
    00033     cfgDb.add( configurable = 'EqSolver',
    00034                package = 'GaudiGSL',
    00035                module  = 'GaudiGSL.GaudiGSLConf',
    00036                lib     = 'GaudiGSL' )
    00037     return #_fillCfgDb
    00038 # fill cfgDb at module import...
    00039 try:
    00040     _fillCfgDb()
    00041     #house cleaning...
    00042     del _fillCfgDb
    except Exception,err: